%define name qcad
%define version 1.3.3
%define release 5mdk

Summary: a professional CAD system
Name: %{name}
Version: %{version}
Release: %{release}
Packager: Enzo Maggi <enzo@mandrakesoft.com>
Source0: %{name}_source.tar.bz2
Source1: %{name}
Patch0: %{name}-1.3.3-patch3.bz2
URL: http://www.qcad.org
Copyright: GPL 
Group: Graphics
BuildRoot: /var/tmp/%{name}-%{version}-root
Prefix: /usr
Requires: qt2
BuildPreReq: XFree86-devel, qt2-devel

%description
QCad is a professional CAD System. With QCad you can easily construct and
change drawings with ISO-text and many other features and save them as
DXF-files. These DXF-files are the interface to many CAD-systems such
as AutoCAD(TM) and many others.

%prep
%setup -n %{name}_source
%patch -p1

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{prefix}/{bin,lib/qcad,share/icons,share/icons/mini}
install -s -m 755 qcad $RPM_BUILD_ROOT/usr/lib/qcad
install -m 644 qcad.xpm $RPM_BUILD_ROOT/%{prefix}/share/icons
cp qcad_mini.xpm qcad.xpm
install -m 644 qcad.xpm $RPM_BUILD_ROOT/%{prefix}/share/icons/mini

install -m 755 -d $RPM_BUILD_ROOT/%{prefix}/lib/menu
install -m 644 $RPM_SOURCE_DIR/qcad $RPM_BUILD_ROOT/%{prefix}/lib/menu/  


cp -pR {cur,doc,examples,fonts,hatches,messages} \
	$RPM_BUILD_ROOT/%{prefix}/lib/qcad

cat > $RPM_BUILD_ROOT/%{prefix}/bin/qcad <<EOF
#!/bin/sh
cd %{prefix}/lib/qcad
./qcad "\$@"
EOF

%post
## menu
if [ -x /usr/bin/update-menus ]; then
     /usr/bin/update-menus
fi                       

%postun
## menu
if [ "$1" = 0 ]; then
  if [ -x /usr/bin/update-menus ]; then
     /usr/bin/update-menus
  fi
fi  

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL MANIFEST README changes-*
%attr(755,root,root) %{prefix}/bin/qcad
%{prefix}/lib/qcad
%{prefix}/share/icons/qcad.xpm
%{prefix}/share/icons/mini/qcad.xpm
%{prefix}/lib/menu/qcad

%changelog
* Wed Apr 26 2000 Enzo Maggi <enzo@mandrakesoft.com> 1.3.3-5mdk
- Adapted to the new location of the qt2 includes 

* Tue Apr 11 2000 Enzo Maggi <enzo@mandrakesoft.com> 1.3.3-4mdk
- Changed group
- New menu entry

* Thu Jan 27 2000 Camille Bgnis <camille@mandrakesoft.com> 1.3.3-2mdk
- fixed typo in qcad.kdelink

* Tue Dec 30 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- Updated to version 1.3.3.

* Mon Nov  8 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- First spec file for Mandrake distribution.
